### Function

# Gimp context_set_pattern

since: 2.2

#### Declaration [src]

    gboolean
    gimp_context_set_pattern (
      GimpPattern* pattern
    )

#### Description [src]

Set the active pattern.

Sets the active pattern in the current context. The pattern will be used in subsequent fill operations using a pattern. Returns an error when the pattern data was uninstalled since the pattern object was created.

Available since: 2.2

#### Parameters

`pattern`

  Type: `GimpPattern`

  The pattern.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.